Name:		icewm-theme-oxygen-aya
Summary:	X11 Window Manager
Version:	0.1
Release:	%mkrel 15
License:	GPL
Group:		Graphical desktop/Icewm
URL:		https://box-look.org/content/show.php/OxyAya?content=136242
Source0:	https://box-look.org/CONTENT/content-files/136242-oxygen-aya-azul.tar.gz
BuildArch:	noarch
BuildRequires:  imagemagick
BuildRequires:	desktop-common-data
BuildRequires:	mageia-theme
Requires:	mageia-theme

%description
The icewm theme which simulates kde4 "Oxygen" and "Aya" look and feel.

%prep
%setup -q -n oxygen-aya-azul
cp %{_iconsdir}/mini/mageia.png taskbar/start.xpm
ln -s %{_datadir}/mga/backgrounds/default.png default.png
sed -i 's/ThrowingStones.jpg/default.png/g' default.theme

# Resize image to workaround bug 8705
mogrify -resize 2x19! title*.xpm
mogrify -resize 2x2! *frame??.xpm

%install
install -d %{buildroot}%{_datadir}/icewm/themes
cp -r %{_builddir}/oxygen-aya-azul %{buildroot}/%{_datadir}/icewm/themes/

# fix permissions
find %{buildroot}%{_datadir} -type f -exec chmod 644 {} \;
find %{buildroot}%{_datadir} -type d -exec chmod 755 {} \;

%files
%dir %{_datadir}/icewm/themes/oxygen-aya-azul
%{_datadir}/icewm/themes/oxygen-aya-azul/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1-15.mga10
+ Revision: 2213119
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 0.1-14.mga9
+ Revision: 1836521
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.1-13.mga8
+ Revision: 1490616
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.1-12.mga7
+ Revision: 1262275
- Mageia 7 Mass Rebuild

* Fri Mar 03 2017 wally <wally> 0.1-11.mga6
+ Revision: 1088579
- fix theme install location

* Sun Sep 18 2016 akien <akien> 0.1-10.mga6
+ Revision: 1053689
- s/mageia-theme-Default/mageia-theme/
- s/default.jpg/default.png/

* Mon Feb 08 2016 umeabot <umeabot> 0.1-9.mga6
+ Revision: 942533
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-8.mga5
+ Revision: 743441
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-7.mga5
+ Revision: 680447
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1-6.mga4
+ Revision: 522498
- Mageia 4 Mass Rebuild

* Tue Mar 12 2013 yochenhsieh <yochenhsieh> 0.1-5.mga3
+ Revision: 402120
- Resize images to workaround bug #8705

* Sat Jan 12 2013 umeabot <umeabot> 0.1-4.mga3
+ Revision: 354190
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 29 2012 yochenhsieh <yochenhsieh> 0.1-3.mga2
+ Revision: 216002
- Use existing icon directly which works as expected

* Thu Feb 23 2012 fwang <fwang> 0.1-2.mga2
+ Revision: 212497
- bump rel
+ yochenhsieh <yochenhsieh>
- Use large icon for conversion source.
  Set default Mageia background as wallpaper.

* Thu Feb 23 2012 fwang <fwang> 0.1-1.mga2
+ Revision: 212486
- use image in desktop-common-data instead of own icon
+ yochenhsieh <yochenhsieh>
- imported package icewm-theme-oxygen-aya

